/* ---------------------------------------------------------- */
/*  kv_shot.h                                                 */
/* ---------------------------------------------------------- */

/*------------------------------------------------------------- */
/** @file
    @brief		KomeVader myshot & enemyshot manage
    @author		rerofumi
    @since		Aug.03.2007
*/
/*-----------------------------------------------------
 Copyright (C) 2007 rerofumi <rero2@yuumu.org>
 -  Kome wo kame.
 ------------------------------------------------------*/

#ifndef KV_SHOT_H
#define KV_SHOT_H

/*-------------------------------*/
/* include                       */
/*-------------------------------*/

/*-------------------------------*/
/* define                        */
/*-------------------------------*/

#define SHOT_ENEMY_SHOT_MAX  2

enum {
  SHOT_DONE = 0,
  SHOT_MOVING,
  SHOT_FULL
};

/*-------------------------------*/
/* struct                        */
/*-------------------------------*/

/*-------------------------------*/
/* prototype                     */
/*-------------------------------*/


//! eǗ
void kvShotInitialize(void);

//! ëړՓˊǗ
int kvShotTick(void);

//! @ȅԎ擾
int kvShotMyshotState(void);

//! @e̔˃NGXg
int kvShotMyshotRequest(int x, int y);

//! GȅԎ擾
int kvShotEnemyshotState(void);

//! Ge̔˃NGXg
int kvShotEnemyshotRequest(int x, int y);



#endif
