/* ---------------------------------------------------------- */
/*  kome_input_drv.c                                          */
/* ---------------------------------------------------------- */

/*------------------------------------------------------------- */
/** @file
    @brief		V850/P4 input driver
    @author		rerofumi
    @since		Jul.25.2007
*/
/*-----------------------------------------------------
 Copyright (C) 2007 rerofumi <rero2@yuumu.org>
 -  Kome wo kame.
 ------------------------------------------------------*/

/*-------------------------------*/
/* include                       */
/*-------------------------------*/

#include "input.h"
#include "kome_input_drv.h"


/*-------------------------------*/
/* define                        */
/*-------------------------------*/

/*-------------------------------*/
/* struct                        */
/*-------------------------------*/

/*-------------------------------*/
/* global value                  */
/*-------------------------------*/

/*-------------------------------*/
/* local routine                 */
/*-------------------------------*/

/*-------------------------------*/
/* interrupt vector              */
/*-------------------------------*/

/*-------------------------------*/
/* implementatiion               */
/*-------------------------------*/

/*------------------------------------------------------*/
/* interface                                            */
/*------------------------------------------------------*/

/* --- komeInputInitialize() */
/**
 * CvbghCȍ
 * Ƀ|[gݒ
 * 
 * @return Ȃ AUDIO_DONEAȊOŎs
 *
 */
int komeInputInitialize(void)
{
  InputInit();

  return(INPUT_DONE);
}


/* --- komeInputStop() */
/**
 * CvbghCo̓~
 * 
 * @return Ȃ AUDIO_DONEAȊOŎs
 *
 */
int komeInputStop(void)
{
  InputFree();

  return(INPUT_DONE);
}


/* --- komeInputRead() */
/**
 * Cvbgf[^ǂݎ
 * 
 * @param  input [out] ʂn
 *
 * @return Ȃ INPUT_DONEAȊOŎs
 *
 */
int komeInputRead(int *input)
{
  InputPoll();
  *input = InputJoyKey(0);

  return(INPUT_DONE);
}


/*------------------------------------------------------*/
/* Interrupt                                            */
/*------------------------------------------------------*/
/*------------------------------------------------------*/
/* Local routine                                        */
/*------------------------------------------------------*/
