/* ---------------------------------------------------------- */
/*  kv_main.h                                                 */
/* ---------------------------------------------------------- */

/*------------------------------------------------------------- */
/** @file
    @brief		KomeVader game state manage
    @author		rerofumi
    @since		Aug.03.2007
*/
/*-----------------------------------------------------
 Copyright (C) 2007 rerofumi <rero2@yuumu.org>
 -  Kome wo kame.
 ------------------------------------------------------*/

#ifndef KV_GAME_H
#define KV_GAME_H

/*-------------------------------*/
/* include                       */
/*-------------------------------*/

/*-------------------------------*/
/* define                        */
/*-------------------------------*/

enum {
  GAME_DONE = 0,
  GAME_EXECUTE
};

/*-------------------------------*/
/* struct                        */
/*-------------------------------*/

/*-------------------------------*/
/* prototype                     */
/*-------------------------------*/


//! Q[
void kvGameInitialize(void);

//! Q[is
int kvGameTick(void);

//! Q[XRA擾
int kvGameGetScore(void);

//! nCXRA擾
int kvGameGetHiscore(void);

//! nCXRAݒ(Np)
void kvGameSetHiscore(int hiscore);


#endif
