/* ---------------------------------------------------------- */
/*  kv_myship.h                                               */
/* ---------------------------------------------------------- */

/*------------------------------------------------------------- */
/** @file
    @brief		KomeVader myship & shield manage
    @author		rerofumi
    @since		Aug.03.2007
*/
/*-----------------------------------------------------
 Copyright (C) 2007 rerofumi <rero2@yuumu.org>
 -  Kome wo kame.
 ------------------------------------------------------*/

#ifndef KV_MYSHIP_H
#define KV_MYSHIP_H

/*-------------------------------*/
/* include                       */
/*-------------------------------*/

/*-------------------------------*/
/* define                        */
/*-------------------------------*/

enum {
  MYSHIP_DONE = 0,
  MYSHIP_HIT
};

/*-------------------------------*/
/* struct                        */
/*-------------------------------*/

/*-------------------------------*/
/* prototype                     */
/*-------------------------------*/


//! @
void kvMyshipInitialize(void);

//! @ړ
int kvMyshipTick(void);

//! @ƒe̓蔻
int kvMyshipCheckHit(int x, int y);

//! g[`J
void kvMyshipShieldInitialize(void);

//! g[`Jƒe̓蔻
int kvMyshipShieldCheckHit(int x, int y);




#endif
