/* ---------------------------------------------------------- */
/*  kv_soundd.h                                               */
/* ---------------------------------------------------------- */

/*------------------------------------------------------------- */
/** @file
    @brief		KomeVader sound manage
    @author		rerofumi
    @since		Aug.03.2007
*/
/*-----------------------------------------------------
 Copyright (C) 2007 rerofumi <rero2@yuumu.org>
 -  Kome wo kame.
 ------------------------------------------------------*/

#ifndef KV_SOUND_H
#define KV_SOUND_H

/*-------------------------------*/
/* include                       */
/*-------------------------------*/

/*-------------------------------*/
/* define                        */
/*-------------------------------*/

enum {
  SE_STOP = 0,
  SE_GAMEOVER,
  SE_INVADER_HIT,
  SE_MISS,
  SE_MYSTERY_APPEAR,
  SE_MYSTERY_HIT,
  SE_PUSH_START,
  SE_SHOT,
  SE_START,
  SE_WALK1,
  SE_WALK2,
  SE_WALK3,
  SE_WALK4
} SE_NUMBER;

/*-------------------------------*/
/* struct                        */
/*-------------------------------*/

/*-------------------------------*/
/* prototype                     */
/*-------------------------------*/


//! TEh}l[W̊Jn
int kvSoundStart(void);

//! TEhNGXg
int kvSoundRequest(int ch, int se_num);

//! TEh}l[W̒~
int kvSoundStop();



#endif
