/* ---------------------------------------------------------- */
/*  kv_title.h                                                */
/* ---------------------------------------------------------- */

/*------------------------------------------------------------- */
/** @file
    @brief		KomeVader title manage
    @author		rerofumi
    @since		Aug.03.2007
*/
/*-----------------------------------------------------
 Copyright (C) 2007 rerofumi <rero2@yuumu.org>
 -  Kome wo kame.
 ------------------------------------------------------*/

#ifndef KV_TITLE_H
#define KV_TITLE_H

/*-------------------------------*/
/* include                       */
/*-------------------------------*/

/*-------------------------------*/
/* define                        */
/*-------------------------------*/

enum {
  TITLE_DONE = 0,
  TITLE_EXECUTE
} TITLE_RETURN;

/*-------------------------------*/
/* struct                        */
/*-------------------------------*/

/*-------------------------------*/
/* prototype                     */
/*-------------------------------*/


//! T[NXvbVʏ
int kvTitleSplashInitialize(void);

//! T[NXvbVʕ\is
int kvTitleSplash(void);

//! ^Cgʏ
int kvTitleInitialize(void);

//! ^Cgʕ\is
int kvTitle(void);

//! Q[I[o[ʏ
int kvTitleGameoverInitialize(int score, int hiscore);

//! ^Cgʕ\is
int kvTitleGameover(void);





#endif
